com.opensymphony.xwork2.interceptor

## Interface ConditionalInterceptor

- All Superinterfaces:
    ConditionalInterceptor, Interceptor, Serializable

  Deprecated.
  since 6.7.0, use `Interceptor` instead.

      @Deprecated
      public interface ConditionalInterceptor
      extends ConditionalInterceptor, Interceptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConditionalInterceptor.LegacyAdapter` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConditionalInterceptor` | `adapt(ConditionalInterceptor actualInterceptor)` Deprecated.
    `default boolean` | `shouldIntercept(ActionInvocation invocation)` Deprecated. Determines if a given interceptor should be executed in the current processing of action invocation.
    `boolean` | `shouldIntercept(ActionInvocation invocation)` Deprecated.

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt, intercept, intercept`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Method Detail

    - #### shouldIntercept

          default boolean shouldIntercept(ActionInvocation invocation)

      Deprecated.
      Description copied from interface: `ConditionalInterceptor`
      Determines if a given interceptor should be executed in the current processing of action invocation.
      Specified by:
        `shouldIntercept` in interface `ConditionalInterceptor`
      Parameters:
        `invocation` - current `ActionInvocation` to determine if the interceptor should be executed
      Returns:
        true if the given interceptor should be included in the current action invocation

    - #### shouldIntercept

          boolean shouldIntercept(ActionInvocation invocation)

      Deprecated.

    - #### adapt

          static ConditionalInterceptor adapt(ConditionalInterceptor actualInterceptor)

      Deprecated.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.